# propka.bonds

## Bonds

PROPKA representation of bonds.

Classes

`BondMaker`() | Makes bonds?

class propka.bonds.BondMaker

  Makes bonds?

  TODO - the documentation for this class needs to be improved.

  add_pi_electron_information(molecules)

    Add pi electron information to a molecule.

    Parameters:

      molecules – list of molecules for adding pi electron information.

  add_pi_electron_table_info(atoms)

    Add table information on pi electrons

    Parameters:

      atoms – list of atoms for pi electron table information checking

  check_distance(atom1, atom2)

    Check distance between two atoms

    Parameters:

      - atom1 – first atom for distance check

      - atom2 – second atom for distance check

    Returns:

      True if within distance, False otherwise

  check_for_cysteine_bonds(cys1, cys2)

    Looks for potential bonds between two cysteines.

    Parameters:

      - cys1 – one of the cysteines to check

      - cys1 – one of the cysteines to check

  connect_backbone(residue1, residue2)

    Sets up bonds in the backbone

    Parameters:

      - residue1 – first residue to connect

      - residue2 – second residue to connect

  find_bonds_for_atoms(atoms)

    Finds all bonds for a list of atoms

    Parameters:

      atoms – list of atoms in which to find bonds.

  find_bonds_for_atoms_disjoint(atoms1, atoms2)

    Finds all bonds between two disjoint sets of atoms.

    Parameters:

      - atoms1 – list of atoms

      - atoms2 – list of atoms

  find_bonds_for_atoms_using_boxes(atoms)

    Finds all bonds for a list of atoms.

    Parameters:

      atoms – list of atoms for finding bonds

  find_bonds_for_ligand(ligand)

    Finds bonds for all atoms in the ligand molecule

    Parameters:

      ligand – ligand molecule to search for bonds

  find_bonds_for_molecules_using_boxes(molecules: MolecularContainer)

    Finds all bonds for a molecular container.

    Parameters:

      molecules – list of molecules for finding bonds.

  find_bonds_for_protein(protein)

    Bonds proteins based on the way atoms normally bond.

    Parameters:

      protein – the protein to search for bonds

  find_bonds_for_protein_by_distance(molecule)

    Finds bonds for all atoms in the molecule.

    Parameters:

      molecule – molecule in which to find bonds.

    Returns:

      list of atoms

  find_bonds_for_residue_backbone(residue)

    Find bonds for this residue’s backbone.

    Parameters:

      residue – reside to search for backbone bonds.

  find_bonds_for_side_chain(atoms)

    Finds bonds for a side chain.

    Parameters:

      atoms – list of atoms to check for bonds

  find_bonds_for_terminal_oxygen(residue)

    Look for bonds for terminal oxygen.

    Parameters:

      residue (residue - test) –

  generate_protein_bond_dictionary(atoms)

    Generate dictionary of protein bonds.

    Parameters:

      atoms – list of atoms for bonding

  static has_bond(atom1, atom2)

    Look for bond between two atoms.

    Parameters:

      - atom1 – first atom to check

      - atom2 – second atom to check

    Returns:

      True if there is a bond between atoms

  static make_bond(atom1, atom2)

    Makes a bond between atom1 and atom2

    Parameters:

      - atom1 – first atom to bond

      - atom2 – second atom to bond